Query resource groups status
GET /api/v1/projects/status. Edge nodes API reference.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Query Parameters
Only summary of the records required
Resource group name pattern to be matched.
Resource group status to be matched.
Resource group type to ne matched.
- TAG_TYPE_UNSPECIFIED: Unspecified
- TAG_TYPE_GENERIC: Generic resource group
- TAG_TYPE_PROJECT: Project resource group
- TAG_TYPE_AZURE: Project resource group
- TAG_TYPE_DEPLOYMENT: Project with deployment
TAG_TYPE_UNSPECIFIED, TAG_TYPE_GENERIC, TAG_TYPE_PROJECT, TAG_TYPE_AZURE, TAG_TYPE_DEPLOYMENT Resource group type to be matched with tags.
Resource group title pattern to be matched.
Page Token
OrderBy helps in sorting the list response
Page Number
Defines the page size
Total number of pages to be fetched.
Fields to select: id, name, status
Response
A successful response.
Summary of filtered resource group records
List of filtered resource group records
Responded page details of filtered records
Summary of filtered resource group records